package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF996 extends MwfRequest<MWF996, MWF996Response> {

    @Parameter(name = "CisloBU")
    MWF996 cisloBU(String cisloBU);
    @Parameter(name = "CisloKoduBanky")
    MWF996 cisloKoduBanky(String cisloKoduBanky);
    @Parameter(name = "CisloUctu")
    MWF996 cisloUctu(String cisloUctu);
    @Parameter(name = "KonstantniSymbol")
    MWF996 konstantniSymbol(String konstantniSymbol);
    @Parameter(name = "Poznamka")
    MWF996 poznamka(String poznamka);
    @Parameter(name = "PredcisliUctu")
    MWF996 predcisliUctu(String predcisliUctu);
    @Parameter(name = "ProduktKod")
    MWF996 produktKod(String produktKod);
    @Parameter(name = "SpecifickySymbol")
    MWF996 specifickySymbol(String specifickySymbol);
    @Parameter(name = "TransID")
    MWF996 transID(String transID);
    @Parameter(name = "VariabilniSymbol")
    MWF996 variabilniSymbol(String variabilniSymbol);
}
